Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ValueDomain

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SchemaObject

                        |

                        +--oracle.ifs.server.S_TieSchemaObject

                              |

                              +--oracle.ifs.server.S_ValueDomain

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  S_TieValueDomain

public class S_ValueDomain
extends S_TieSchemaObject

A ValueDomain describes a validation that can be applied to an Attribute to ensure that its values lie within a set of acceptable values.

Method Summary
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert validation.
`AttributeValue` | `getPropertyValue()` Gets the value of the ValueDomainPropertyBundle of this ValueDomain, as an AttributeValue.
`boolean` | `isAttributeValueInValueDomain(AttributeValue av)` Determines whether the specified attribute value lies within this ValueDomain.

Methods inherited from class oracle.ifs.server.S_SchemaObject
`hasNameAttribute`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, extendedPreUpdate, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Performs pre-insert validation.
  Overrides:
    `extendedPreInsert` in class `S_SchemaObject`
  Parameters:
    `opState` - current operation state
    `the` - definition of the ClassDomain being created
  Throws:
    `IfsException` - if the operation fails

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Gets the value of the ValueDomainPropertyBundle of this ValueDomain, as an AttributeValue.
  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails

### isAttributeValueInValueDomain

    public final boolean isAttributeValueInValueDomain(AttributeValue av)
                                                throws IfsException

  Determines whether the specified attribute value lies within this ValueDomain.
  Parameters:
    `av` - the attribute value
  Returns:
    whether the attribute value lies within this ValueDomain
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD